Owner label in the image gallery runs off the edge of the screen when text is too long
Closed, ResolvedPublic

Description

This was fixed in 5.0 as part of image gallery work, just needs to be replicated in master.


Steps to reproduce

  1. Go to "General Relativity" page on EN wiki
  2. Tap on first image in gallery

Expected results

Owner label is truncated at the margin of view

Actual results

Owner label runs off the edge of the screen

BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF raised the priority of this task from to Needs Triage.
BGerstle-WMF added a subscriber: BGerstle-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2015, 7:12 PM
BGerstle-WMF renamed this task from Owner label in the image gallery to Owner label in the image gallery runs off the edge of the screen when text is too long.Jul 17 2015, 7:12 PM
BGerstle-WMF set Security to None.
BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF added a comment.EditedJul 24 2015, 3:13 PM

Fixed and tested on..

UPDATE: took screenshots from my iPhone 6 so it was tested on a device

iPhone 6 (device, iOS 8)

Portrait

Landscape

iPad 2 Simulator (iOS 7)

Portrait

Landscape

(Doesn't occur here, but screenshot for posterity)

Change 226726 had a related patch set uploaded (by Bgerstle):
fix gallery image owner label overflow

https://gerrit.wikimedia.org/r/226726

Change 226726 merged by jenkins-bot:
fix gallery image owner label overflow

https://gerrit.wikimedia.org/r/226726

Checked on 4.1.7.171(release candidate) beta on iPad mini iOS 8.2

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 27 2016, 7:09 PM
MBinder_WMF closed this task as Resolved.Feb 8 2016, 7:32 PM